/*-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/
/*
 *  This is part of a free software library written by Analogic Software
 *  Engineers.
 *
 *  No copyright is claimed. It may be used for any purpose.  It is also
 *  not guaranteed to do anything useful.
 *
 *  This is provided by Analogic Corporation to its customers as an
 *  example of a possible method of communicating with the Platinum
 *  Control Computer.
 */
/*
 * Simple and free program to convert Unix text files which contain only
 * a LF to signal the end of a line, to the world standard of CR/LF pairs.
 */

#include <stdio.h>
#include <sys/types.h>
#ifdef linux
#include <unistd.h>
#else
#define STDIN_FILENO 0
#define STDOUT_FILENO 1
#include <io.h>
#endif


const char crlf[] = {'\r', '\n'};

int main(void);
int main()
{
    char buffer;
    int len, col;
    col = 0;
    while((len = read(STDIN_FILENO, &buffer, sizeof(char))) > 0)
    {
        if(buffer == '\r')
            continue;
        if(buffer == '\n')
        {
            write(STDOUT_FILENO, crlf, sizeof(crlf));
            col = 0;
        }
        else if(buffer == '\t')
        {
           buffer = ' ';
           do { 
               write(STDOUT_FILENO, &buffer, len);
               col++;
               } while (col % 8);
        }
        else
        {
            col += len;
            write(STDOUT_FILENO, &buffer, len);
        }
    }
    write(STDOUT_FILENO, crlf, sizeof(crlf));
    return 0;
}

